Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cmp
Class PollRepContent

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.cmp.PollRepContent

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class PollRepContent
extends ASN1Object

PollRepContent ::= SEQUENCE OF SEQUENCE { certReqId INTEGER, checkAfter INTEGER, -- time in seconds reason PKIFreeText OPTIONAL }

Constructor Summary
`PollRepContent(ASN1Integer certReqId, ASN1Integer checkAfter)`
`PollRepContent(ASN1Integer certReqId, ASN1Integer checkAfter, PKIFreeText reason)`

Method Summary
`ASN1Integer` | `getCertReqId(int index)`
`ASN1Integer` | `getCheckAfter(int index)`
`static PollRepContent` | `getInstance(java.lang.Object o)`
`PKIFreeText` | `getReason(int index)`
`int` | `size()`
`ASN1Primitive` | `toASN1Primitive()` PollRepContent ::= SEQUENCE OF SEQUENCE { certReqId INTEGER, checkAfter INTEGER, -- time in seconds reason PKIFreeText OPTIONAL }

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PollRepContent

    public PollRepContent(ASN1Integer certReqId,
                          ASN1Integer checkAfter)

### PollRepContent

    public PollRepContent(ASN1Integer certReqId,
                          ASN1Integer checkAfter,
                          PKIFreeText reason)

Method Detail

### getInstance

    public static PollRepContent getInstance(java.lang.Object o)

### size

    public int size()

### getCertReqId

    public ASN1Integer getCertReqId(int index)

### getCheckAfter

    public ASN1Integer getCheckAfter(int index)

### getReason

    public PKIFreeText getReason(int index)

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  PollRepContent ::= SEQUENCE OF SEQUENCE { certReqId INTEGER, checkAfter INTEGER, -- time in seconds reason PKIFreeText OPTIONAL }

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a basic ASN.1 object representation.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD